#
# spec file for package libjreen
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 1

Name:           libjreen
Version:        1.2.1
Release:        lp150.1.3
Summary:        Qt-based Jabber/XMPP library
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://github.com/euroelessar/jreen
Source:         jreen-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  libgsasl-devel
BuildRequires:  libqt4-devel
BuildRequires:  speex-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Jreen is an extensible Qt-based asynchronious Jabber library.

%package -n libjreen%{sover}
Summary:        Qt-based Jabber/XMPP library
Group:          System/Libraries

%description -n libjreen%{sover}
Jreen is an extensible Qt-based asynchronious Jabber library.

%package -n libjreen-devel
Summary:        Development files for libjreen, a Qt-based Jabber/XMPP library
Group:          Development/Libraries/C and C++
Requires:       libjreen%{sover} = %{version}
Requires:       libqt4-devel
Provides:       jreen-devel = %{version}

%description -n libjreen-devel
Jreen is an extensible Qt-based asynchronious Jabber library.

This subpackage contains libraries and header files for developing
applications that want to make use of libjreen.

%prep
%setup -q -n jreen-%{version}

%build
%cmake_kde4 -d build -- -DJREEN_FORCE_QT4=ON
%make_jobs

%install
%kde4_makeinstall -C build

%post   -n libjreen%{sover} -p /sbin/ldconfig

%postun -n libjreen%{sover} -p /sbin/ldconfig

%files -n libjreen%{sover}
%defattr(-,root,root)
%doc AUTHORS  ChangeLog COPYING
%{_libdir}/libjreen.so.%{sover}
%{_libdir}/libjreen.so.%{sover}.*

%files -n libjreen-devel
%defattr(-,root,root)
%{_includedir}/jreen-qt4/
%{_libdir}/libjreen.so
%{_libdir}/pkgconfig/libjreen.pc

%changelog
* Sun Feb  5 2017 jengelh@inai.de
- Rename %%soname to %%sover to better reflect its use
- Update descriptions and RPM group
* Mon Nov 16 2015 tittiatcoke@gmail.com
- Update to 1.2.1
  * No upstream changelog
* Wed Oct 22 2014 hrvoje.senjan@gmail.com
- Update to 1.2.0
  * No upstream changelog
- Drop update-to-latest-git-fixes.patch, merged upstream
* Sun Jul 27 2014 hrvoje.senjan@gmail.com
- Move back to standard macros for filelists: libjreen doesn't use
  kde4 buildsystem
* Thu Dec 12 2013 hrvoje.senjan@gmail.com
- Added update-to-latest-git-fixes.patch: fixes build failure with
  cmake 2.8.12 and adds Qt5 support
- Added speex-devel, libidn-devel and libgsasl-devel BuildRequires
- Droped libqca2-devel (Build)Requires
- Pass DJREEN_FORCE_QT4=ON to CMake, as the buildsystem now defaults
  to Qt 5
- Use kde macros
* Mon Jan  7 2013 dev@dominik-schmidt.de
- Update to version 1.1.1
  * Added support for XEP-224: Attentions
  * Fixed roster update receiving on some servers
* Wed Apr 18 2012 magist3r@gmail.com
- Update to version 1.1.0
  * Added PGP payloads
  * Added support for Message Forwarding
  * Added MetaContacts support
  * Added experimental Jingle support
  * Fixed authorization with SCRAM-SHA1
  * Fixed sending of IQ's on connect
- Changes in version 1.0.6
  * Fixed parsing of PubSub payload
  * Fixed serializing of PubSub payload
* Sun Apr  1 2012 dev@dominik-schmidt.de
- Update to version 1.0.5
  * Fixed parsing of message's thread attribute
- Changes in 1.0.4
  * Added support for in-band registration
  * Added ability to force/deny compression/encryption
  * Added CAPTCHA support
  * Fixed IQ requests to yourself
  * Fixed handling of messages' types in MessageSession
* Wed Mar 14 2012 dev@dominik-schmidt.de
- Update to version 1.0.3
  * Added Logger implementation
  * Fixed QJDns initialization issue
- Changes in 1.0.2
  * Added support for ProxyFactory
  * Added immunity to invalid stanzas
  * Added localization support for incoming stanzas
  * Fixed QJDns initialization behaviour
* Thu Dec  8 2011 saschpe@suse.de
- Spec file cleanup:
  * Removed unneeded rpmlintrc, outdated %%clean section and inherent
    Buildrequires
* Wed Dec  7 2011 dev@dominik-schmidt.de
- run format_spec_file
* Sun Nov 13 2011 dev@dominik-schmidt.de
- Update to version 1.0.1
  * Fixed segfault in SaslFeature at initialization
  * Fixed Facebook support
* Sat Nov 12 2011 dev@dominik-schmidt.de
- Update to version 1.0.0
  * first stable release
  * enabled idn support
* Fri Jun 17 2011 pascal.bleser@opensuse.org
- initial version (0.0.1.git.29578875)
